@echo off
if exist "%CommonProgramFiles%\Bentley Shared\CONNECTION Client\LicenseService\Bentley.Licensing.Service.exe" (
	set LicSvc=%CommonProgramFiles%\Bentley Shared\CONNECTION Client\LicenseService\Bentley.Licensing.Service.exe
)

if exist "%CommonProgramFiles%\Bentley Shared\CONNECTION Client\LicService\Bentley.Licensing.Service.exe" (
	set LicSvc=%CommonProgramFiles%\Bentley Shared\CONNECTION Client\LicService\Bentley.Licensing.Service.exe
)

if not defined LicSvc (
	echo Bentley Licensing Service could not be found!
	exit /b 1
)

"%LicSvc%" -shutdown

:LSWaitLoop
for /f "tokens=1 delims=,:" %%A in ('tasklist /fi "IMAGENAME eq Bentley.Licensing.Service.exe" /fo CSV /nh') do (
	if %%A == "Bentley.Licensing.Service.exe" (
		timeout /t 1 >NUL
		goto LSWaitLoop
	)
)

if exist "%LocalAppData%\Bentley\Licensing\LicenseService_old.db" (
	del "%LocalAppData%\Bentley\Licensing\LicenseService_old.db"
)
rename "%LocalAppData%\Bentley\Licensing\LicenseService.db" LicenseService_old.db
start "" "%LicSvc%"